Industrial-Sized Deals TextBTS15 Shop Women's Handbags Learn more nav_sap_SWP_6M_fly_beacon $5 Albums Fire TV Stick Find the Best Purina Pro Plan for Your Pet Shop Popular Services tmnt tmnt tmnt  Amazon Echo Starting at $99 Kindle Voyage Metal Gear Solid 5 Big Savings in the Amazon Fall Sportsman Event Deal of the Day
Is this compatible with a canon 5d markiii
asked by Victoria Campbell on May 14, 2013
Sort: Most Helpful first | Newest first | Oldest first
Showing 1-1 of 1 answers
A
Yes. You would need to install this, and then update the software. I will suggest you to wait for the final release of v5, Adobe has already released the beta version. Thanks
S. Khan answered on May 15, 2013
Comment (1) | Do you find this helpful?  Yes No | Report abuse
‹ Previous   1   Next ›

See all questions about this product